# DataExchange
TKXmlXCAF
XmlMXCAFDoc

# XmlMXCAFDoc_DocumentToolDriver Class Reference

Attribute Driver.
.

`#include <XmlMXCAFDoc_DocumentToolDriver.hxx>`

## Public Member Functions

Standard_EXPORT | XmlMXCAFDoc_DocumentToolDriver (const Handle(CDM_MessageDriver)&theMsgDriver)
virtual Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
virtual Standard_EXPORT Standard_Boolean | Paste (const XmlObjMgt_Persistent &theSource, const Handle(TDF_Attribute)&theTarget, XmlObjMgt_RRelocationTable &theRelocTable) const
virtual Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&theSource, XmlObjMgt_Persistent &theTarget, XmlObjMgt_SRelocationTable &theRelocTable) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT XmlMXCAFDoc_DocumentToolDriver::XmlMXCAFDoc_DocumentToolDriver | ( | const Handle(CDM_MessageDriver)& | theMsgDriver | ) |

## Member Function Documentation

Standard_EXPORT const XmlMXCAFDoc_DocumentToolDriver::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT Handle_TDF_Attribute XmlMXCAFDoc_DocumentToolDriver::NewEmpty | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void XmlMXCAFDoc_DocumentToolDriver::Paste | ( | const Handle(TDF_Attribute)& | theSource,
|  | XmlObjMgt_Persistent & | theTarget,
|  | XmlObjMgt_SRelocationTable & | theRelocTable
| ) | const`[virtual]`

virtual Standard_EXPORT Standard_Boolean XmlMXCAFDoc_DocumentToolDriver::Paste | ( | const XmlObjMgt_Persistent & | theSource,
|  | const Handle(TDF_Attribute)& | theTarget,
|  | XmlObjMgt_RRelocationTable & | theRelocTable
| ) | const`[virtual]`

The documentation for this class was generated from the following file:

- XmlMXCAFDoc_DocumentToolDriver.hxx